classes

## Class HolonElement

- java.lang.Object
- - classes.HolonElement

-     public class HolonElement
      extends java.lang.Object

  The class "HolonElement" represents any possible element that can be added to a CpsObject (such as TV (consumer) or any energy source/producer).
  Author:
    Gruppe14

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HolonElement(HolonElement element)` Create a copy of the HolonElement given each one a new ID.
    `HolonElement(java.lang.String eleName, int amount, float energy)` Create a new HolonElement with a user-defined name, amount of the same element and energy per element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getActive()` Get the Status of the Element (see description of variables).
    `int` | `getAmount()` Get the actual amount of Elements in the selected Object.
    `java.lang.String` | `getEleName()` Get the user-defined Name.
    `float` | `getEnergy()` Get the energy value of the selected Element.
    `float[]` | `getEnergyAt()` Get the Array of energy (100 values).
    `java.util.LinkedList<java.awt.Point>` | `getGraphPoints()` Get the points (values) in the graph.
    `int` | `getId()` Get the Id of the selected HolonElement.
    `java.lang.String` | `getObj()` Get the actual object.
    `java.lang.String` | `getSav()`
    `char` | `getSign()` Get the symbol of the value (see variable description).
    `float` | `getTotalEnergy()` Multiply the amount of gadgets, given by the user, and the consumption/production.
    `float` | `getTotalEnergyAtTimeStep(int x)` Get the energy value at a selected time x.
    `void` | `setActive(boolean active)` Set the Status of the Element (see description of variables).
    `void` | `setAmount(int amount)` Set the amount of the Element in the selected Object.
    `void` | `setEleName(java.lang.String name)` Set the name to any new name.
    `void` | `setEnergy(float energy)` Set the energy value of the selected Element.
    `void` | `setEnergyAt(float energy)` Set energy to any value to the whole array.
    `void` | `setEnergyAt(int pos, float energy)` Set energy to any value at a given position.
    `void` | `setGraphPoints(java.util.LinkedList<java.awt.Point> points)` Set the points (values) in the graph.
    `void` | `setObj(java.lang.String obj)` Set the object to a new one.
    `void` | `setSav(java.lang.String sav)` for save purposes.
    `void` | `setSign(float energy)` Set symbol of the value.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HolonElement

          public HolonElement(java.lang.String eleName,
                              int amount,
                              float energy)

      Create a new HolonElement with a user-defined name, amount of the same element and energy per element.
      Parameters:
        `eleName` - String
        `amount` - int
        `energy` - float

    - #### HolonElement

          public HolonElement(HolonElement element)

      Create a copy of the HolonElement given each one a new ID.
      Parameters:
        `element` - element to copy

  - ### Method Detail

    - #### getEnergyAt

          public float[] getEnergyAt()

      Get the Array of energy (100 values).
      Returns:
        energyAt Array of Floats

    - #### setEnergyAt

          public void setEnergyAt(float energy)

      Set energy to any value to the whole array.
      Parameters:
        `energy` - the value

    - #### setEnergyAt

          public void setEnergyAt(int pos,
                                  float energy)

      Set energy to any value at a given position.
      Parameters:
        `pos` - int
        `energy` - float

    - #### getEleName

          public java.lang.String getEleName()

      Get the user-defined Name.
      Returns:
        the name String

    - #### setEleName

          public void setEleName(java.lang.String name)

      Set the name to any new name.
      Parameters:
        `name` - the name to set

    - #### getAmount

          public int getAmount()

      Get the actual amount of Elements in the selected Object.
      Returns:
        the amount int

    - #### setAmount

          public void setAmount(int amount)

      Set the amount of the Element in the selected Object.
      Parameters:
        `amount` - the amount to set

    - #### getEnergy

          public float getEnergy()

      Get the energy value of the selected Element.
      Returns:
        the energy

    - #### setEnergy

          public void setEnergy(float energy)

      Set the energy value of the selected Element.
      Parameters:
        `energy` - the energy to set

    - #### getActive

          public boolean getActive()

      Get the Status of the Element (see description of variables).
      Returns:
        the active

    - #### setActive

          public void setActive(boolean active)

      Set the Status of the Element (see description of variables).
      Parameters:
        `active` - the active to set

    - #### getTotalEnergy

          public float getTotalEnergy()

      Multiply the amount of gadgets, given by the user, and the consumption/production. If the switch isWorking is turned off for on gadget, the energy of this gadget have to be subtracted.
      Returns:
        totalEnergy (actual)

    - #### getTotalEnergyAtTimeStep

          public float getTotalEnergyAtTimeStep(int x)

      Get the energy value at a selected time x.
      Parameters:
        `x` - int
      Returns:
        energy value

    - #### getSign

          public char getSign()

      Get the symbol of the value (see variable description).
      Returns:
        the sign

    - #### setSign

          public void setSign(float energy)

      Set symbol of the value.
      Parameters:
        `energy` - the sign to set

    - #### getSav

          public java.lang.String getSav()

      Returns:
        the stored.

    - #### setSav

          public void setSav(java.lang.String sav)

      for save purposes.
      Parameters:
        `sav` - the stored to set

    - #### getObj

          public java.lang.String getObj()

      Get the actual object.
      Returns:
        the obj

    - #### setObj

          public void setObj(java.lang.String obj)

      Set the object to a new one.
      Parameters:
        `obj` - the obj to set

    - #### getGraphPoints

          public java.util.LinkedList<java.awt.Point> getGraphPoints()

      Get the points (values) in the graph.
      Returns:
        the Graph Points

    - #### setGraphPoints

          public void setGraphPoints(java.util.LinkedList<java.awt.Point> points)

      Set the points (values) in the graph.
      Parameters:
        `points` - the Graph points

    - #### getId

          public int getId()

      Get the Id of the selected HolonElement.
      Returns:
        id the id